package com.huatek.busi.service.gis;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

import com.huatek.busi.entity.RptGisMonitorSf6Charts;

public interface RptGisMonitorSf6ChartsService {

    List<RptGisMonitorSf6Charts> findRptGisMonitorSf6Chartses(String siteId, String mainTreeId);

    List<Map<String, Object>> getTemperRecordAvgByDay(LocalDateTime startTime, LocalDateTime endTime);

    int saveRptGisMonitorSf6Charts(LocalDate day);
}
